component: Smoother
proto_imports:
  - "vehicle/planner/diagnostics/smoother_diagnostics.proto"
  - "vehicle/common/latency_diagnostic/latency_diagnostics.proto"
metric: zoox::diag::EmptyMetric
namespace: zoox::planner::faults
faults:
  - id: 1
    name: CostTooHigh
    severity: ERROR
    description: Smoother optimization cost is too high, no trajectory generated.
    freeze_frame: zoox.planner.proto.SmootherCostTooHighFreezeFrame
    triggers_nogo: true
  - id: 2
    name: UnableToProjectIdealOntoReference
    severity: ERROR
    description: Unable to project the ideal trajectory onto the reference, no trajectory generated.
    triggers_nogo: true
  - id: 3
    name: CollisionInSmootherTrajectory
    severity: ERROR
    description: Generated trajectory collides with an obstacle, no trajectory generated.
    triggers_nogo: true
  - id: 4
    name: OptimizationFailed
    severity: ERROR
    description: The smoother optimization failed.
    triggers_nogo: true
  - id: 5
    name: DecisionTrajectoryTooShort
    severity: WARNING
    description: Decision trajectory is too short. Smoothing requires at least 3 trajectory states.
  - id: 6
    name: DecisionEndTimeTooShort
    severity: WARNING
    description: Decision end time is smaller than smoother start time.
  - id: 7
    name: NotEnoughTimeSegments
    severity: WARNING
    description: Non-positive number input trajectory of segments.
  - id: 8
    name: NotWantedOffsetTypeForCorridor
    severity: WARNING
    description: Smoother does not require a particular offset type from decision.
  - id: 9
    name: SystemLatencyTooHigh
    severity: ERROR
    description: "System latency too high for operating autonomously at current speed."
    freeze_frame: zoox.common.latency_diagnostic.proto.SystemLatencyTooHighFreezeFrame
    triggers_nogo: true
